Start campaign
curl --request POST \
--url https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Voice Campaigns
Start campaign
Immediately launch and start outbound calling for a campaign
POST
/
campaigns
/
{id}
/
start
Start campaign
curl --request POST \
--url https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Starts outbound dialing immediately for a campaign in
DRAFT or SCHEDULED status.
Starting a campaign triggers live outbound telephone calls to contacts in the attached contact list and incurs wallet balance charges based on connected telephony providers.
Path parameters
string
required
The unique UUID of the campaign to start.
curl -X POST https://prod-campaign-engine-api.20x.business/api/v1/campaigns/770e8400-e29b-41d4-a716-446655440000/start \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
import requests
response = requests.post(
"https://prod-campaign-engine-api.20x.business/api/v1/campaigns/770e8400-e29b-41d4-a716-446655440000/start",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json",
},
json={},
)
print(response.status_code)
const response = await fetch(
"https://prod-campaign-engine-api.20x.business/api/v1/campaigns/770e8400-e29b-41d4-a716-446655440000/start",
{
method: "POST",
headers: {
Authorization: `Bearer ${API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({}),
},
);
console.log(response.status);
Response
202 Accepted indicating that the campaign has transitioned to RUNNING and execution has begun.
